Subject: Re: bug#8132: 23.1; comint shell replaces \ in paths with /

From: Stefan Monnier <[email-masked]>
Date: Mon, 28 Feb 2011 23:48:28 -0500

>> Maybe the best way is for shell.el to burp or warn the user that she
>> would be better served by eshell.  But maybe file completion in shell.el
>> should be tweaked to not turn \ into / in that case.

> It could be easier to make a wrapper around the file completion, which
> would simply convert all / into \ when the result is inserted into the
> shell buffer.

Yes, that's more or less what I meant.

> That's because working with / is very basic in file-name completion,
> and reaches deep into the code and the primitives it uses.

Yes, I know ;-)

        Stefan